/* query_log.c - Log queries in a way we can trace
   Copyright (C) 2003 David G. Andersen
   
This file is part of the pdnsd package.

pdnsd is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

pdnsd is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with pdsnd; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/* $Id: query_log.h,v 1.1.1.1 2003/09/25 16:17:42 dga Exp $ */

#ifndef QUERY_LOG_H
#define QUERY_LOG_H

#include <config.h>
#include <time.h>
#include <pthread.h>
#include <stdio.h>
#include <signal.h>

#include "thread.h"
#include "helpers.h"
#include "pdnsd_assert.h"

void log_query(int do_lock, char *s, ...);
int lock_query();
int unlock_query();
void close_querylog(int do_lock);
void reopen_querylog();

#endif
